Subject: CYGWIN32-b17.1 ERROR MSG LOOP
From: [email-masked] (Tage Westlund)

4 Apr 1997 14:18:16 -0800
Approved: [email-masked]
Distribution: cygnus
Message-ID: <[email-masked]>
Reply-To: [email-masked]
Mime-Version: 1.0
Content-Type: text/plain; charset=us-ascii
Content-Transfer-Encoding: 7bit
X-Mailer: Mozilla 3.0 (Win95; I)
Original-To: [email-masked]
Original-Sender: [email-masked]

// To those who make the next and still better cygwin32 version!
// Are my bug reports trivial? Anyhow, here is another endless error
// message loop!
// I use version b17.1 ( 2.7.2-961023 ) and Win95.
// I made:  g++ bug293.C
// Best Regards!    <[email-masked]>
// - - - - - - - - - - - - - - - - - - - - - - - - - - - -
// Program bug283.C
#include <stream.h>
main(){
	char ch;
	int n10=6;
	switch(n10){
		case 6:
			do{
				if(1){
//					do{ // comment out this 'do'
				// and you will have an endless 
				// error message loop
						cin >> ch;
						if(ch=='e')return 0;
					}while(ch != 's');
				}
			}while(1);
			return 0;
			break;
		case 7:
			break;
	}
}
// - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
// The error list is:
// bug283.C: In function `int main()':
// bug283.C:24: syntax error before `}'
// bug283.C:26: break statement not within loop or switch
// bug283.C:27: case label `7' not within a switch statement
// (C:\cygnus\H-i386-cygwin32\lib\gcc-lib\i386-cygwin32/
//	cygnus-2.7.2-961023/cc1plus.exe 1026) In cygwin_except_handler
// (C:\cygnus\H-i386-cygwin32\lib\gcc-lib\i386-cygwin32/
//	cygnus-2.7.2-961023/cc1plus.exe 1026) In cygwin_except_handler
// (infinitly repeated)

-
For help on using this list, send a message to
"[email-masked]" with one line of text: "help".